[arch-commits] Commit in pyopenssl/repos (staging-any staging-any/PKGBUILD)

Evangelos Foutras foutrelis at archlinux.org
Mon Nov 9 18:28:14 UTC 2020


    Date: Monday, November 9, 2020 @ 18:28:12
  Author: foutrelis
Revision: 399893

archrelease: copy trunk to staging-any

Added:
  pyopenssl/repos/staging-any/
  pyopenssl/repos/staging-any/PKGBUILD
    (from rev 399892, pyopenssl/trunk/PKGBUILD)

----------+
 PKGBUILD |   60 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 60 insertions(+)

Copied: pyopenssl/repos/staging-any/PKGBUILD (from rev 399892, pyopenssl/trunk/PKGBUILD)
===================================================================
--- staging-any/PKGBUILD	                        (rev 0)
+++ staging-any/PKGBUILD	2020-11-09 18:28:12 UTC (rev 399893)
@@ -0,0 +1,60 @@
+# Maintainer : Felix Yan <felixonmars at archlinux.org>
+# Contributor: Ionut Biru <ibiru at archlinux.org>
+# Contributor: Sergej Pupykin <pupykin.s+arch at gmail.com>
+
+pkgbase=pyopenssl
+pkgname=('python-pyopenssl' 'python2-pyopenssl')
+pkgver=19.1.0
+pkgrel=3
+arch=('any')
+pkgdesc="Python3 wrapper module around the OpenSSL library"
+url='https://github.com/pyca/pyopenssl'
+license=('Apache')
+makedepends=('openssl' 'python-setuptools' 'python2-setuptools' 'python-cryptography'
+             'python2-cryptography' 'python-six' 'python2-six')
+checkdepends=('python-pytest-runner' 'python2-pytest-runner' 'python-pretend' 'python2-pretend'
+              'python-flaky' 'python2-flaky')
+source=(${pkgname}-${pkgver}.tar.gz::https://github.com/pyca/pyopenssl/archive/${pkgver}.tar.gz)
+sha512sums=('ab92d428639f1b819457ca8c62d8ab45a107366aeac2ae1e70e9fba2ac2a627cd7e81f84c1e63b09c5176b4e4520e66fa41e19a10d1aeecb731cf5759435d483')
+
+prepare() {
+  cp -a pyopenssl-$pkgver{,-py2}
+  export LC_CTYPE=en_US.UTF-8
+}
+
+build() {
+  cd "$srcdir"/pyopenssl-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/pyopenssl-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  (
+    cd "$srcdir"/pyopenssl-$pkgver
+    python setup.py pytest
+
+    cd "$srcdir"/pyopenssl-$pkgver-py2
+    python2 setup.py pytest
+  ) || warning "Tests failed due to missing SSLv3_METHOD"
+}
+
+package_python-pyopenssl() {
+  depends=('openssl' 'python' 'python-six' 'python-cryptography')
+  replaces=('pyopenssl')
+  provides=('pyopenssl')
+  conflicts=('pyopenssl')
+
+  cd pyopenssl-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1 --skip-build
+}
+
+package_python2-pyopenssl() {
+  depends=('openssl' 'python2' 'python2-six' 'python2-cryptography')
+
+  cd pyopenssl-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1 --skip-build
+}
+
+# vim: ts=2 sw=2 et:


More information about the arch-commits mailing list